<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Symulator ruchu drogowego: Car.Car Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Symulator ruchu drogowego
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><b>Car</b></li><li class="navelem"><a class="el" href="classCar_1_1Car.html">Car</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classCar_1_1Car-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">Car.Car Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a06b56c5efe7ccb56f4ba6dc00067db1a"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCar_1_1Car.html#a06b56c5efe7ccb56f4ba6dc00067db1a">__init__</a> (self, i, j, <a class="el" href="classCar_1_1Car.html#a18c3cc33b0b97a0a35f5c3da7d61f9f2">drive_direction</a>, <a class="el" href="classCar_1_1Car.html#af992e2b3a404103e43008463e3ee5ac3">vel</a>=0)</td></tr>
<tr class="separator:a06b56c5efe7ccb56f4ba6dc00067db1a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d9f61dd42566e52af4ff87a38e35e70"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCar_1_1Car.html#a2d9f61dd42566e52af4ff87a38e35e70">__del__</a> (self)</td></tr>
<tr class="separator:a2d9f61dd42566e52af4ff87a38e35e70"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aadd1efe9374525d459da23aee75b0862"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCar_1_1Car.html#aadd1efe9374525d459da23aee75b0862">move</a> (self)</td></tr>
<tr class="separator:aadd1efe9374525d459da23aee75b0862"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad422c38711106143cea393eb4744193f"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCar_1_1Car.html#ad422c38711106143cea393eb4744193f">get_opposite_direction</a> (self)</td></tr>
<tr class="separator:ad422c38711106143cea393eb4744193f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf3b69304a5474391c93bf3b36d72f22"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCar_1_1Car.html#adf3b69304a5474391c93bf3b36d72f22">__repr__</a> (self)</td></tr>
<tr class="separator:adf3b69304a5474391c93bf3b36d72f22"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ef7b85e3a1378cc6d8d3d00383124c6"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCar_1_1Car.html#a7ef7b85e3a1378cc6d8d3d00383124c6">get_velocity</a> (self)</td></tr>
<tr class="separator:a7ef7b85e3a1378cc6d8d3d00383124c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4fd032ed8980a5c3accbdc103928e44e"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCar_1_1Car.html#a4fd032ed8980a5c3accbdc103928e44e">set_velocity</a> (self, new_velocity)</td></tr>
<tr class="separator:a4fd032ed8980a5c3accbdc103928e44e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec0c1afb7df0a4f7876d8df3920f5970"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCar_1_1Car.html#aec0c1afb7df0a4f7876d8df3920f5970">get_direction</a> (self)</td></tr>
<tr class="separator:aec0c1afb7df0a4f7876d8df3920f5970"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a160b108e09dda6d64f5a5231c1729c07"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCar_1_1Car.html#a160b108e09dda6d64f5a5231c1729c07">set_direction</a> (self, new_direction)</td></tr>
<tr class="separator:a160b108e09dda6d64f5a5231c1729c07"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:af992e2b3a404103e43008463e3ee5ac3"><td class="memItemLeft" align="right" valign="top"><a id="af992e2b3a404103e43008463e3ee5ac3" name="af992e2b3a404103e43008463e3ee5ac3"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>vel</b></td></tr>
<tr class="memdesc:af992e2b3a404103e43008463e3ee5ac3"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classCar_1_1Car.html">Car</a> velocity. <br /></td></tr>
<tr class="separator:af992e2b3a404103e43008463e3ee5ac3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a18c3cc33b0b97a0a35f5c3da7d61f9f2"><td class="memItemLeft" align="right" valign="top"><a id="a18c3cc33b0b97a0a35f5c3da7d61f9f2" name="a18c3cc33b0b97a0a35f5c3da7d61f9f2"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>drive_direction</b></td></tr>
<tr class="memdesc:a18c3cc33b0b97a0a35f5c3da7d61f9f2"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classCar_1_1Car.html">Car</a> driving direction. <br /></td></tr>
<tr class="separator:a18c3cc33b0b97a0a35f5c3da7d61f9f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad8dfa647586274cb3fc1253d98bb81dd"><td class="memItemLeft" align="right" valign="top"><a id="ad8dfa647586274cb3fc1253d98bb81dd" name="ad8dfa647586274cb3fc1253d98bb81dd"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>TTL</b></td></tr>
<tr class="memdesc:ad8dfa647586274cb3fc1253d98bb81dd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Time To Live. <br /></td></tr>
<tr class="separator:ad8dfa647586274cb3fc1253d98bb81dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adea503b30cbfabe92f01640ef7cf785c"><td class="memItemLeft" align="right" valign="top"><a id="adea503b30cbfabe92f01640ef7cf785c" name="adea503b30cbfabe92f01640ef7cf785c"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>stop</b></td></tr>
<tr class="separator:adea503b30cbfabe92f01640ef7cf785c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a06b56c5efe7ccb56f4ba6dc00067db1a" name="a06b56c5efe7ccb56f4ba6dc00067db1a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a06b56c5efe7ccb56f4ba6dc00067db1a">&#9670;&nbsp;</a></span>__init__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def Car.Car.__init__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>i</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>j</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>drive_direction</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>vel</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Constructor of class Car
@param i Position of car on Y axis
@param j Position of car on X axis
@param drive_direction Drive direction (Must be instance of Direction class in Direction.py)
@param vel Car velocity
</pre> 
</div>
</div>
<a id="a2d9f61dd42566e52af4ff87a38e35e70" name="a2d9f61dd42566e52af4ff87a38e35e70"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2d9f61dd42566e52af4ff87a38e35e70">&#9670;&nbsp;</a></span>__del__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def Car.Car.__del__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Destructor of class Car
Save final statistic of car
</pre> 
</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="adf3b69304a5474391c93bf3b36d72f22" name="adf3b69304a5474391c93bf3b36d72f22"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adf3b69304a5474391c93bf3b36d72f22">&#9670;&nbsp;</a></span>__repr__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def Car.Car.__repr__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Get string representation of car.
This representation is velocity:
vel == 4 -&gt; "4"
vel == 3 -&gt; "3"
etc...
@return String representation
</pre> 
</div>
</div>
<a id="aec0c1afb7df0a4f7876d8df3920f5970" name="aec0c1afb7df0a4f7876d8df3920f5970"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aec0c1afb7df0a4f7876d8df3920f5970">&#9670;&nbsp;</a></span>get_direction()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def Car.Car.get_direction </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Get current drive direction
@return Current drive direction
</pre> 
</div>
</div>
<a id="ad422c38711106143cea393eb4744193f" name="ad422c38711106143cea393eb4744193f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad422c38711106143cea393eb4744193f">&#9670;&nbsp;</a></span>get_opposite_direction()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def Car.Car.get_opposite_direction </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Change car direction to opposite.
@return Opposite direction
</pre> 
</div>
</div>
<a id="a7ef7b85e3a1378cc6d8d3d00383124c6" name="a7ef7b85e3a1378cc6d8d3d00383124c6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7ef7b85e3a1378cc6d8d3d00383124c6">&#9670;&nbsp;</a></span>get_velocity()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def Car.Car.get_velocity </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Get current velocity of car
@return Current velocity
</pre> 
</div>
</div>
<a id="aadd1efe9374525d459da23aee75b0862" name="aadd1efe9374525d459da23aee75b0862"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aadd1efe9374525d459da23aee75b0862">&#9670;&nbsp;</a></span>move()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def Car.Car.move </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Move car in one of fourth direction.
</pre> 
</div>
</div>
<a id="a160b108e09dda6d64f5a5231c1729c07" name="a160b108e09dda6d64f5a5231c1729c07"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a160b108e09dda6d64f5a5231c1729c07">&#9670;&nbsp;</a></span>set_direction()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def Car.Car.set_direction </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>new_direction</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Change driving direction of car
@param new_direction New drive direction (Must be instance of Direction class in Direction.py)
</pre> 
</div>
</div>
<a id="a4fd032ed8980a5c3accbdc103928e44e" name="a4fd032ed8980a5c3accbdc103928e44e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4fd032ed8980a5c3accbdc103928e44e">&#9670;&nbsp;</a></span>set_velocity()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def Car.Car.set_velocity </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>new_velocity</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Set new velocity
@param new_velocity Value of new velocity
</pre> 
</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>eng/Car.py</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
